// ad-hoc-Lösung: Listener-Methode direkt im Fenster
// definieren (nur für Testzwecke geeignet)

import javax.swing.* ;
import java.awt.*;
import java.awt.event.*;

public class WindowFenster1 extends JFrame implements ActionListener {
   private JTextField t1 ;
   private JButton b1, b2 ;

   public WindowFenster1() {
      super("Zugriff auf Fensterelemente");
      setSize(250,150);
      setLocation(150, 150);
      Container cp = getContentPane() ;
      cp.setLayout(new FlowLayout());
      
      // Textfeld
      t1 = new JTextField(15);
      t1.setEditable(false);
      cp.add(t1) ;

      // Button
      b1 = new JButton("setzen");
      b1.setActionCommand("b1");
      b1.addActionListener(this);
      cp.add(b1);

      b2 = new JButton("löschen");
      b2.setActionCommand("b2");
      b2.addActionListener(this);
      cp.add(b2);

      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setVisible(true);
   }

   public void actionPerformed(ActionEvent e) {
      // Es kann direkt das ActionCommand ermittelt werde,
      // falls ein Button oder für ein Menüeintrag ein ActionCommand gesetzt
      // wurde 
      String cmd = e.getActionCommand() ;
            
      if (cmd.equals("b1")) t1.setText("Text eingetragen ....!" ) ;
      if (cmd.equals("b2")) t1.setText("" ) ;
   }

   public static void main(String[] args) {
      WindowFenster1 fenster = new WindowFenster1();
   }
}
