// Controller als eigenständige Klasse ,
// Konstruktor mit Parameter, Typ des Parameters
// ist die Fensterklasse!
// Vorsicht: Klassen referenzieren sich gegenseitig!!!

import javax.swing.* ;
import java.awt.*;
import java.awt.event.*;

public class WindowFenster3 extends JFrame {
   private JTextField t1 ;
   private JButton b1, b2 ;

   public WindowFenster3() {
      super("Zugriff auf Fensterelemente");
      setSize(250,150);
      setLocation(150, 150);
      Container cp = getContentPane() ;
      cp.setLayout(new FlowLayout());
      Controller c1 = new Controller(this) ;
      
      // Textfeld
      t1 = new JTextField(15);
      t1.setEditable(false);
      cp.add(t1) ;

      // Button
      b1 = new JButton("setzen");
      b1.setActionCommand("b1");
      b1.addActionListener(c1);
      cp.add(b1);

      b2 = new JButton("löschen");
      b2.setActionCommand("b2");
      b2.addActionListener(c1);
      cp.add(b2);

      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setVisible(true);
   }

   // Zugriffsmethoden für das Textfeld
   public void setT1(String t) { t1.setText(t) ;}
   public JTextField getT1() {return t1;}

   public static void main(String[] args) {
      WindowFenster3 fenster = new WindowFenster3();
   }
}
