// Controller als eigenständige Klasse ,
// Konstruktor mit Parameter, Typ des Parameters
// ist das Interface!
// Klassen referenzieren sich NICHT mehr gegenseitig!!!

import javax.swing.* ;
import java.awt.*;
import java.awt.event.*;

public class WindowFenster5 extends JFrame {
   private JTextField t1 ;
   private JButton b1, b2 ;

   public WindowFenster5() {
      super("Zugriff auf Fensterelemente");
      setSize(250,150);
      setLocation(150, 150);
      Container cp = getContentPane() ;
      cp.setLayout(new FlowLayout());
      Controller c1 = new Controller(new FrameAdapter()) ;
      
      // Textfeld
      t1 = new JTextField(15);
      t1.setEditable(false);
      cp.add(t1) ;

      // Button
      b1 = new JButton("setzen");
      b1.setActionCommand("b1");
      b1.addActionListener(c1);
      cp.add(b1);

      b2 = new JButton("löschen");
      b2.setActionCommand("b2");
      b2.addActionListener(c1);
      cp.add(b2);

      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setVisible(true);
   }

   public class FrameAdapter implements FrameInterface {
      // Zugriffsmethoden für das Textfeld
      public JTextField getT1() {return t1;}
   }

   public static void main(String[] args) {
      WindowFenster5 fenster = new WindowFenster5();
   }
}
